Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-06-20 21:39:46 -0400
committerDavid Williams2013-06-20 21:39:46 -0400
commit11b1fc08454796b39f3b200a71851893069e7136 (patch)
tree33272f5978d05614e5eb5324452161ee200a47ac
parentb1a20330e420d98611f726f853c9b8a6dc43ac59 (diff)
downloadeclipse.platform.releng.aggregator-11b1fc08454796b39f3b200a71851893069e7136.tar.gz
eclipse.platform.releng.aggregator-11b1fc08454796b39f3b200a71851893069e7136.tar.xz
eclipse.platform.releng.aggregator-11b1fc08454796b39f3b200a71851893069e7136.zip
Bug 411321 - build fails with unusual resolution errors
-rw-r--r--production/master-build.sh25
1 files changed, 13 insertions, 12 deletions
diff --git a/production/master-build.sh b/production/master-build.sh
index 663573ca..f6b06a0f 100644
--- a/production/master-build.sh
+++ b/production/master-build.sh
@@ -167,18 +167,19 @@ else
$SCRIPT_PATH/update-build-input.sh $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/mb020_update-build-input_output.txt
checkForErrorExit $? "Error occurred while updating build input"
- #if [[ $BUILD_ID =~ [IN] ]]
- #then
- # temp hack for bug 398141 and others
- # apply the pre-created patch from tempPatches
- #echo "INFO: apply temp patch"
- #echo "DEBUG: aggDir: $aggDir"
- #echo "DEBUG: pwd: $PWD"
- #patch -p1 --backup -d $aggDir/rt.equinox.bundles/bundles -i $aggDir/tempPatches/sbep2.patch
- #patch -p1 --backup -d $aggDir/eclipse.platform.ui/features -i $aggDir/tempPatches/e4rcpsource.patch
- #patch -p1 --backup -d $aggDir/rt.equinox.framework/bundles -i $aggDir/tempPatches/ppc.patch
- #checkForErrorExit $? "Error occurred applying patch"
- #fi
+ if [[ $BUILD_ID =~ [IN] ]]
+ then
+ # temp hack for bug 398141 and others
+ # apply the pre-created patch from tempPatches
+ echo "INFO: apply temp patch"
+ echo "DEBUG: aggDir: $aggDir"
+ echo "DEBUG: pwd: $PWD"
+ #patch -p1 --backup -d $aggDir/rt.equinox.bundles/bundles -i $aggDir/tempPatches/sbep2.patch
+ #patch -p1 --backup -d $aggDir/eclipse.platform.ui/features -i $aggDir/tempPatches/e4rcpsource.patch
+ #patch -p1 --backup -d $aggDir/rt.equinox.framework/bundles -i $aggDir/tempPatches/ppc.patch
+ patch -p1 --backup -d $aggDir/eclipse.platform.ui/bundles -i $aggDir/production/tempPatches/jface.patch
+ checkForErrorExit $? "Error occurred applying patch"
+ fi
# We always make tag commits, if build successful or not, but don't push
# back to origin if doing N builds or test builds.

Back to the top